package domain


type AlibabaWdkItemCurrentpriceQueryModel struct {
    /*
        商家编码     */
    MerchantCode  *string `json:"merchant_code,omitempty" `

    /*
        会员价，单位为分。      * 对应IC标memberPrice的价格，如果没有对应的标，该价格为空     */
    MemberPrice  *int64 `json:"member_price,omitempty" `

    /*
        促销执行价格，单位为分     */
    FinalPrice  *int64 `json:"final_price,omitempty" `

    /*
        经营店Code     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        买赠活动信息     */
    MzPromotion  *AlibabaWdkItemCurrentpriceQueryMzPromotionDto `json:"mz_promotion,omitempty" `

    /*
        条码     */
    BarCode  *string `json:"bar_code,omitempty" `

    /*
        会员促销执行价，单位为分。     */
    MemberFinalPrice  *int64 `json:"member_final_price,omitempty" `

    /*
        IC的商品ID     */
    ItemId  *int64 `json:"item_id,omitempty" `

    /*
        单品促销，finalPrice对应的促销活动     */
    ItemPromotionList  *[]AlibabaWdkItemCurrentpriceQueryPromotionInfoDto `json:"item_promotion_list,omitempty" `

    /*
        商品名称     */
    ItemName  *string `json:"item_name,omitempty" `

    /*
        基础售价,单位为分     */
    AuctionPrice  *int64 `json:"auction_price,omitempty" `

    /*
        渠道店ID     */
    ShopId  *int64 `json:"shop_id,omitempty" `

    /*
        商品池促销     */
    ShopPromotionList  *[]AlibabaWdkItemCurrentpriceQueryPromotionInfoDto `json:"shop_promotion_list,omitempty" `

    /*
        会员单品促销活动，memberFinalPrice对应的促销活动     */
    MemberItemPromotionList  *[]AlibabaWdkItemCurrentpriceQueryPromotionInfoDto `json:"member_item_promotion_list,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        渠道，APP／POS     */
    OrderChannelCode  *string `json:"order_channel_code,omitempty" `

}

func (s *AlibabaWdkItemCurrentpriceQueryModel) SetMerchantCode(v string) *AlibabaWdkItemCurrentpriceQueryModel {
    s.MerchantCode = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetMemberPrice(v int64) *AlibabaWdkItemCurrentpriceQueryModel {
    s.MemberPrice = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetFinalPrice(v int64) *AlibabaWdkItemCurrentpriceQueryModel {
    s.FinalPrice = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetStoreId(v string) *AlibabaWdkItemCurrentpriceQueryModel {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetMzPromotion(v AlibabaWdkItemCurrentpriceQueryMzPromotionDto) *AlibabaWdkItemCurrentpriceQueryModel {
    s.MzPromotion = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetBarCode(v string) *AlibabaWdkItemCurrentpriceQueryModel {
    s.BarCode = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetMemberFinalPrice(v int64) *AlibabaWdkItemCurrentpriceQueryModel {
    s.MemberFinalPrice = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetItemId(v int64) *AlibabaWdkItemCurrentpriceQueryModel {
    s.ItemId = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetItemPromotionList(v []AlibabaWdkItemCurrentpriceQueryPromotionInfoDto) *AlibabaWdkItemCurrentpriceQueryModel {
    s.ItemPromotionList = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetItemName(v string) *AlibabaWdkItemCurrentpriceQueryModel {
    s.ItemName = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetAuctionPrice(v int64) *AlibabaWdkItemCurrentpriceQueryModel {
    s.AuctionPrice = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetShopId(v int64) *AlibabaWdkItemCurrentpriceQueryModel {
    s.ShopId = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetShopPromotionList(v []AlibabaWdkItemCurrentpriceQueryPromotionInfoDto) *AlibabaWdkItemCurrentpriceQueryModel {
    s.ShopPromotionList = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetMemberItemPromotionList(v []AlibabaWdkItemCurrentpriceQueryPromotionInfoDto) *AlibabaWdkItemCurrentpriceQueryModel {
    s.MemberItemPromotionList = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetSkuCode(v string) *AlibabaWdkItemCurrentpriceQueryModel {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryModel) SetOrderChannelCode(v string) *AlibabaWdkItemCurrentpriceQueryModel {
    s.OrderChannelCode = &v
    return s
}
